%define debug_package %{nil}

Summary:	Volatility-community-plugins

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		volatilityfoundation.org
Name:		Volatility-community-plugins
Version:	20190729
Release:	5%{?dist}
URL:		https://github.com/volatilityfoundation/community

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch
Requires:	python-ioc_writer
%if 0%{?centos} >= 7 || 0%{?fedora} >= 26
Requires:	m2crypto
%else
%if 0%{?centos} != 6
Requires:	python-M2Crypto
%endif
%endif
%if 0%{?fedora} == 31
Obsoletes:	python2-dpapick
%else
Requires:	python2-dpapick
%endif
Requires:	python-pycoin
Requires:	python2-haystack
%if 0%{?centos} != 8
Requires:	python-simplejson
%endif
%if 0%{?fedora} >= 24 || 0%{?centos} == 8
Requires:	python2-lxml
Requires:	python2-colorama
%else
Requires:	python-lxml
Requires:	python-colorama
%endif
%if "x1" == "x"
Requires:	python-construct >= 2.5.2
Requires:	python-construct <= 2.5.3
else
Requires:	python2-construct
%endif
Requires:	python2-pysocks
Requires:	python2-ssdeep
%if 0%{?centos} == 6
Requires:	python-pefile
%else
Requires:	python2-pefile
%endif

%description
These are the community plugins for Volatility.

%prep
%setup -n community

%build
echo Nothing to make

%install
%{__mkdir_p} %{buildroot}%{_datadir}/volatility/plugins
cd %{buildroot}%{_datadir}/volatility/plugins
tar zxf %{SOURCE0}
rm -rf community/.git
################################################################
# Make some adjustments
################################################################
touch community/MichaelBrown/analysis/__init__.py
sed --in-place 's/volatility.plugins.linux.heap_analysis as //' community/FrankBlock/zsh.py
sed --in-place 's/volatility.plugins.linux.heap_analysis as //' community/FrankBlock/keepassx.py
sed --in-place 's/from haystack import/from haystack.search import/' community/LoicJaquemet/vol_haystack.py
sed --in-place 's/import contrib.plugins.enumfunc as enumfunc/import volatility.plugins.EnumFunc as enumfunc/' community/JavierVallejo/symbolizemod.py 
sed --in-place 's/from haystack.search import target/from haystack import target/' community/LoicJaquemet/vol_haystack.py 
sed --in-place 's/from haystack.search import constraints/from haystack import constraints/' community/LoicJaquemet/vol_haystack.py
################################################################
# Some of the plugins don't work right, so removed them now
################################################################
rm -rf community/AlexanderTarasenko
rm -rf community/ThomasWhite
rm -rf community/ProcessFuzzyHash
rm -rf community/AFF4
rm -rf community/JavierVallejo
rm -rf community/PeterCasey
rm -rf community/LorenzLiebler
rm -rf community/Citronneur
rm -rf community/AlizHammond
rm -rf community/TranVienHa
%if 0%{?centos} == 8
rm -rf community/aim4r
%endif
%if 0%{?centos} == 6
rm -rf community/BartoszInglot
rm -rf community/DaveLasalle
rm -rf community/ESET_Browserhooks
rm -rf community/FrankBlock
rm -rf community/LoicJaquemet
rm -rf community/PhilipHuppert
rm -rf community/ThomasChopitea
rm -rf community/TranVienHa
rm -rf community/YingLi
%endif
%if 0%{?fedora} == 31
rm -rf community/BartoszInglot
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc README.md
/%{_datadir}/volatility/plugins/community

%changelog
* Mon Feb 17 2020 Lawrence R. Rogers <lrr@cert.org> 20190729-4
* Release 20190729-4
	CentOS/RHEL 8 no longer provides python2-simplejson in EPEL.

* Mon Nov  4 2019 Lawrence R. Rogers <lrr@cert.org> 20190729-3
* Release 20190729-3
	Updated the dependencies

* Tue Jul 30 2019 Lawrence R. Rogers <lrr@cert.org> 20190729-2
* Release 20190729-2
	These are the Volatility community plugins as of July 29, 2019

* Mon Jul 29 2019 Lawrence R. Rogers <lrr@cert.org> 20190729-1
* Release 20190729-1
	These are the Volatility community plugins as of July 29, 2019

* Tue Jan  2 2018 Lawrence R. Rogers <lrr@cert.org> 20180102-1
* Release 20180102-1
	These are the Volatility community plugins as of January 2, 2018.

* Thu Apr 13 2017 Lawrence R. Rogers <lrr@cert.org> 20170405-2
* Release 20170405-2
	Fixed broken dependency for fc25.

* Wed Apr  5 2017 Lawrence R. Rogers <lrr@cert.org> 20170405-1
* Release 20170405-1
	These are the Volatility community plugins as of April 5, 2017.

* Fri Dec  2 2016 Lawrence R. Rogers <lrr@cert.org> 20161201-1
* Release 20161201-1
	These are the Volatility community plugins as of 20161201.

* Fri Jul  8 2016 Lawrence R. Rogers <lrr@cert.org> 20160708-1
* Release 20160708-1
	These are the Volatility community plugins as of 20160708.

* Mon Nov 16 2015 Lawrence R. Rogers <lrr@cert.org> 20151112-1
* Release 20151112-1
	These are the Volatility community plugins as of 20151112.
